/*
 File: cweb_put_k_into_ph.cpp
 Date and Time: Fri Jan 30 18:55:09 2015 
*/
#include "cweb_put_k_into_ph.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_cweb_put_k_into_ph;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 1;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
}
  Ccweb_put_k_into_ph::
  Ccweb_put_k_into_ph()
    :yacco2::CAbs_fsm
      ("cweb_put_k_into_ph.lex"
      ,"1.0"
      ,"22 dec. 2005"
      ,false
      ,"Extract CWEB comments."
      ,"Fri Jan 30 18:55:09 2015 "
      ,S1_Ccweb_put_k_into_ph){
    
  }
 
Ccweb_put_k_into_ph::~Ccweb_put_k_into_ph(){

  for(int x = 0;x < 1;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Ccweb_put_k_into_ph::failed(){
      return false;
  }
  void Ccweb_put_k_into_ph::op(){
}
int Ccweb_put_k_into_ph::rhs_to_rules_mapping_[9] = {
 -1
 ,0 // subrule 1 for rule 1
 ,0 // subrule 2 for rule 1
 ,0 // subrule 3 for rule 1
 ,0 // subrule 4 for rule 1
 ,0 // subrule 5 for rule 1
 ,0 // subrule 6 for rule 1
 ,0 // subrule 7 for rule 1
 ,0 // subrule 8 for rule 1
}; 

	void Ccweb_put_k_into_ph::
	initialize(AST* Cweb_marker_t,bool* Rules_phrase_seen){
			cweb_marker_t_ = Cweb_marker_t;
			rules_phrase_seen_ = Rules_phrase_seen;
		}
  
Rcweb_put_k_into_phrase::Rcweb_put_k_into_phrase(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rcweb_put_k_into_phrase",0,Ccweb_put_k_into_ph::R_Rcweb_put_k_into_phrase_,P,false,false){
}

void Rcweb_put_k_into_phrase::sr1(){
  struct SF{
   T_fsm_phrase* p1__;
   State* s1__;
   bool abort1__;
   Rule_s_reuse_entry* rule_s_reuse_entry1__;
  };
  SF* sf = (SF*)rule_info__.parser__->parse_stack__.sf_by_top(1);
  
      Ccweb_put_k_into_ph* fsm = 
	(Ccweb_put_k_into_ph*)rule_info__.parser__->fsm_tbl__;
      sf->p1__->add_cweb_marker(fsm->cweb_marker_t_);
    
}

void Rcweb_put_k_into_phrase::sr2(){
  struct SF{
   T_parallel_parser_phrase* p1__;
   State* s1__;
   bool abort1__;
   Rule_s_reuse_entry* rule_s_reuse_entry1__;
  };
  SF* sf = (SF*)rule_info__.parser__->parse_stack__.sf_by_top(1);
  
      Ccweb_put_k_into_ph* fsm = 
	(Ccweb_put_k_into_ph*)rule_info__.parser__->fsm_tbl__;
      sf->p1__->add_cweb_marker(fsm->cweb_marker_t_);
    
}

void Rcweb_put_k_into_phrase::sr3(){
  struct SF{
   T_terminals_phrase* p1__;
   State* s1__;
   bool abort1__;
   Rule_s_reuse_entry* rule_s_reuse_entry1__;
  };
  SF* sf = (SF*)rule_info__.parser__->parse_stack__.sf_by_top(1);
  
      Ccweb_put_k_into_ph* fsm = 
	(Ccweb_put_k_into_ph*)rule_info__.parser__->fsm_tbl__;
      sf->p1__->add_cweb_marker(fsm->cweb_marker_t_);
    
}

void Rcweb_put_k_into_phrase::sr4(){
  struct SF{
   T_error_symbols_phrase* p1__;
   State* s1__;
   bool abort1__;
   Rule_s_reuse_entry* rule_s_reuse_entry1__;
  };
  SF* sf = (SF*)rule_info__.parser__->parse_stack__.sf_by_top(1);
  
      Ccweb_put_k_into_ph* fsm = 
	(Ccweb_put_k_into_ph*)rule_info__.parser__->fsm_tbl__;
      sf->p1__->add_cweb_marker(fsm->cweb_marker_t_);
    
}

void Rcweb_put_k_into_phrase::sr5(){
  struct SF{
   T_rc_phrase* p1__;
   State* s1__;
   bool abort1__;
   Rule_s_reuse_entry* rule_s_reuse_entry1__;
  };
  SF* sf = (SF*)rule_info__.parser__->parse_stack__.sf_by_top(1);
  
      Ccweb_put_k_into_ph* fsm = 
	(Ccweb_put_k_into_ph*)rule_info__.parser__->fsm_tbl__;
      sf->p1__->add_cweb_marker(fsm->cweb_marker_t_);
    
}

void Rcweb_put_k_into_phrase::sr6(){
  struct SF{
   T_lr1_k_phrase* p1__;
   State* s1__;
   bool abort1__;
   Rule_s_reuse_entry* rule_s_reuse_entry1__;
  };
  SF* sf = (SF*)rule_info__.parser__->parse_stack__.sf_by_top(1);
  
      Ccweb_put_k_into_ph* fsm = 
	(Ccweb_put_k_into_ph*)rule_info__.parser__->fsm_tbl__;
      sf->p1__->add_cweb_marker(fsm->cweb_marker_t_);
    
}

void Rcweb_put_k_into_phrase::sr7(){
  struct SF{
   T_rules_phrase* p1__;
   State* s1__;
   bool abort1__;
   Rule_s_reuse_entry* rule_s_reuse_entry1__;
  };
  SF* sf = (SF*)rule_info__.parser__->parse_stack__.sf_by_top(1);
  
      Ccweb_put_k_into_ph* fsm = 
	(Ccweb_put_k_into_ph*)rule_info__.parser__->fsm_tbl__;
      sf->p1__->add_cweb_marker(fsm->cweb_marker_t_);
      (*fsm->rules_phrase_seen_) = true;
    
}

void Rcweb_put_k_into_phrase::sr8(){
  struct SF{
   T_enum_phrase* p1__;
   State* s1__;
   bool abort1__;
   Rule_s_reuse_entry* rule_s_reuse_entry1__;
  };
  SF* sf = (SF*)rule_info__.parser__->parse_stack__.sf_by_top(1);
  
      Ccweb_put_k_into_ph* fsm = 
	(Ccweb_put_k_into_ph*)rule_info__.parser__->fsm_tbl__;
      sf->p1__->add_cweb_marker(fsm->cweb_marker_t_);
    
}

